package com.aucma.base.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 电实时数据对象 record_dnb_instant
 *
 * @author Yinq
 * @date 2023-09-26
 */
public class RecordDnbInstant extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /**
     * 计量设备名称
     */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /**
     * A项电压
     */
    @Excel(name = "A项电压")
    private BigDecimal va;

    /**
     * B项电压
     */
    @Excel(name = "B项电压")
    private BigDecimal vb;

    /**
     * C项电压
     */
    @Excel(name = "C项电压")
    private BigDecimal vc;

    /**
     * A项电流
     */
    @Excel(name = "A项电流")
    private BigDecimal ia;

    /**
     * B项电流
     */
    @Excel(name = "B项电流")
    private BigDecimal ib;

    /**
     * C项电流
     */
    @Excel(name = "C项电流")
    private BigDecimal ic;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /**
     * 功率因数
     */
    @Excel(name = "功率因数")
    private BigDecimal glys;

    /**
     * 正向有功
     */
    @Excel(name = "正向有功")
    private BigDecimal zxyg;

    /**
     * 有功功率
     */
    @Excel(name = "有功功率")
    private BigDecimal activePower;

    /**
     * 无功功率
     */
    @Excel(name = "无功功率")
    private BigDecimal reactivePower;

    /**
     * 采集方式（0-自动，1-手动）
     */
    @Excel(name = "采集方式", readConverterExp = "0=-自动，1-手动")
    private Long collectType;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private String updatedBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 工厂编号
     */
    @Excel(name = "工厂编号")
    private String factoryCode;


    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setVa(BigDecimal va) {
        this.va = va;
    }

    public BigDecimal getVa() {
        return va;
    }

    public void setVb(BigDecimal vb) {
        this.vb = vb;
    }

    public BigDecimal getVb() {
        return vb;
    }

    public void setVc(BigDecimal vc) {
        this.vc = vc;
    }

    public BigDecimal getVc() {
        return vc;
    }

    public void setIa(BigDecimal ia) {
        this.ia = ia;
    }

    public BigDecimal getIa() {
        return ia;
    }

    public void setIb(BigDecimal ib) {
        this.ib = ib;
    }

    public BigDecimal getIb() {
        return ib;
    }

    public void setIc(BigDecimal ic) {
        this.ic = ic;
    }

    public BigDecimal getIc() {
        return ic;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setGlys(BigDecimal glys) {
        this.glys = glys;
    }

    public BigDecimal getGlys() {
        return glys;
    }

    public void setZxyg(BigDecimal zxyg) {
        this.zxyg = zxyg;
    }

    public BigDecimal getZxyg() {
        return zxyg;
    }

    public void setActivePower(BigDecimal activePower) {
        this.activePower = activePower;
    }

    public BigDecimal getActivePower() {
        return activePower;
    }

    public void setReactivePower(BigDecimal reactivePower) {
        this.reactivePower = reactivePower;
    }

    public BigDecimal getReactivePower() {
        return reactivePower;
    }

    public void setCollectType(Long collectType) {
        this.collectType = collectType;
    }

    public Long getCollectType() {
        return collectType;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("monitorId", getMonitorId())
                .append("collectTime", getCollectTime())
                .append("va", getVa())
                .append("vb", getVb())
                .append("vc", getVc())
                .append("ia", getIa())
                .append("ib", getIb())
                .append("ic", getIc())
                .append("recordTime", getRecordTime())
                .append("glys", getGlys())
                .append("zxyg", getZxyg())
                .append("activePower", getActivePower())
                .append("reactivePower", getReactivePower())
                .append("collectType", getCollectType())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .append("factoryCode", getFactoryCode())
                .toString();
    }
}
